io.etcd.jetcd.api

## Class ResponseOp.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<ResponseOp.Builder>
      - - io.etcd.jetcd.api.ResponseOp.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, ResponseOpOrBuilder, Cloneable

Enclosing class:
  ResponseOp

    public static final class ResponseOp.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ResponseOp.Builder>
    implements ResponseOpOrBuilder

Protobuf type `etcdserverpb.ResponseOp`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ResponseOp.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ResponseOp` `build()`
`ResponseOp` `buildPartial()`
`ResponseOp.Builder` `clear()`
`ResponseOp.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`ResponseOp.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`ResponseOp.Builder` `clearResponse()`
`ResponseOp.Builder` `clearResponseDeleteRange()` `.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`
`ResponseOp.Builder` `clearResponsePut()` `.etcdserverpb.PutResponse response_put = 2;`
`ResponseOp.Builder` `clearResponseRange()` `.etcdserverpb.RangeResponse response_range = 1;`
`ResponseOp.Builder` `clearResponseTxn()` `.etcdserverpb.TxnResponse response_txn = 4;`
`ResponseOp.Builder` `clone()`
`ResponseOp` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`ResponseOp.ResponseCase` `getResponseCase()`
`DeleteRangeResponse` `getResponseDeleteRange()` `.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`
`DeleteRangeResponse.Builder` `getResponseDeleteRangeBuilder()` `.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`
`DeleteRangeResponseOrBuilder` `getResponseDeleteRangeOrBuilder()` `.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`
`PutResponse` `getResponsePut()` `.etcdserverpb.PutResponse response_put = 2;`
`PutResponse.Builder` `getResponsePutBuilder()` `.etcdserverpb.PutResponse response_put = 2;`
`PutResponseOrBuilder` `getResponsePutOrBuilder()` `.etcdserverpb.PutResponse response_put = 2;`
`RangeResponse` `getResponseRange()` `.etcdserverpb.RangeResponse response_range = 1;`
`RangeResponse.Builder` `getResponseRangeBuilder()` `.etcdserverpb.RangeResponse response_range = 1;`
`RangeResponseOrBuilder` `getResponseRangeOrBuilder()` `.etcdserverpb.RangeResponse response_range = 1;`
`TxnResponse` `getResponseTxn()` `.etcdserverpb.TxnResponse response_txn = 4;`
`TxnResponse.Builder` `getResponseTxnBuilder()` `.etcdserverpb.TxnResponse response_txn = 4;`
`TxnResponseOrBuilder` `getResponseTxnOrBuilder()` `.etcdserverpb.TxnResponse response_txn = 4;`
`boolean` `hasResponseDeleteRange()` `.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`
`boolean` `hasResponsePut()` `.etcdserverpb.PutResponse response_put = 2;`
`boolean` `hasResponseRange()` `.etcdserverpb.RangeResponse response_range = 1;`
`boolean` `hasResponseTxn()` `.etcdserverpb.TxnResponse response_txn = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`ResponseOp.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ResponseOp.Builder` `mergeFrom(com.google.protobuf.Message other)`
`ResponseOp.Builder` `mergeFrom(ResponseOp other)`
`ResponseOp.Builder` `mergeResponseDeleteRange(DeleteRangeResponse value)` `.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`
`ResponseOp.Builder` `mergeResponsePut(PutResponse value)` `.etcdserverpb.PutResponse response_put = 2;`
`ResponseOp.Builder` `mergeResponseRange(RangeResponse value)` `.etcdserverpb.RangeResponse response_range = 1;`
`ResponseOp.Builder` `mergeResponseTxn(TxnResponse value)` `.etcdserverpb.TxnResponse response_txn = 4;`
`ResponseOp.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ResponseOp.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ResponseOp.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`ResponseOp.Builder` `setResponseDeleteRange(DeleteRangeResponse.Builder builderForValue)` `.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`
`ResponseOp.Builder` `setResponseDeleteRange(DeleteRangeResponse value)` `.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`
`ResponseOp.Builder` `setResponsePut(PutResponse.Builder builderForValue)` `.etcdserverpb.PutResponse response_put = 2;`
`ResponseOp.Builder` `setResponsePut(PutResponse value)` `.etcdserverpb.PutResponse response_put = 2;`
`ResponseOp.Builder` `setResponseRange(RangeResponse.Builder builderForValue)` `.etcdserverpb.RangeResponse response_range = 1;`
`ResponseOp.Builder` `setResponseRange(RangeResponse value)` `.etcdserverpb.RangeResponse response_range = 1;`
`ResponseOp.Builder` `setResponseTxn(TxnResponse.Builder builderForValue)` `.etcdserverpb.TxnResponse response_txn = 4;`
`ResponseOp.Builder` `setResponseTxn(TxnResponse value)` `.etcdserverpb.TxnResponse response_txn = 4;`
`ResponseOp.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseOp.Builder>`

#### clear

    public ResponseOp.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseOp.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseOp.Builder>`

#### getDefaultInstanceForType

    public ResponseOp getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public ResponseOp build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public ResponseOp buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public ResponseOp.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseOp.Builder>`

#### setField

    public ResponseOp.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                       Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseOp.Builder>`

#### clearField

    public ResponseOp.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseOp.Builder>`

#### clearOneof

    public ResponseOp.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseOp.Builder>`

#### setRepeatedField

    public ResponseOp.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                               int index,
                                               Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseOp.Builder>`

#### addRepeatedField

    public ResponseOp.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                               Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseOp.Builder>`

#### mergeFrom

    public ResponseOp.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ResponseOp.Builder>`

#### mergeFrom

    public ResponseOp.Builder mergeFrom(ResponseOp other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseOp.Builder>`

#### mergeFrom

    public ResponseOp.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                 throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ResponseOp.Builder>`
Throws:
  `IOException`

#### getResponseCase

    public ResponseOp.ResponseCase getResponseCase()

Specified by:
  `getResponseCase` in interface `ResponseOpOrBuilder`

#### clearResponse

    public ResponseOp.Builder clearResponse()

#### hasResponseRange

    public boolean hasResponseRange()

`.etcdserverpb.RangeResponse response_range = 1;`

Specified by:
  `hasResponseRange` in interface `ResponseOpOrBuilder`
Returns:
  Whether the responseRange field is set.

#### getResponseRange

    public RangeResponse getResponseRange()

`.etcdserverpb.RangeResponse response_range = 1;`

Specified by:
  `getResponseRange` in interface `ResponseOpOrBuilder`
Returns:
  The responseRange.

#### setResponseRange

    public ResponseOp.Builder setResponseRange(RangeResponse value)

`.etcdserverpb.RangeResponse response_range = 1;`

#### setResponseRange

    public ResponseOp.Builder setResponseRange(RangeResponse.Builder builderForValue)

`.etcdserverpb.RangeResponse response_range = 1;`

#### mergeResponseRange

    public ResponseOp.Builder mergeResponseRange(RangeResponse value)

`.etcdserverpb.RangeResponse response_range = 1;`

#### clearResponseRange

    public ResponseOp.Builder clearResponseRange()

`.etcdserverpb.RangeResponse response_range = 1;`

#### getResponseRangeBuilder

    public RangeResponse.Builder getResponseRangeBuilder()

`.etcdserverpb.RangeResponse response_range = 1;`

#### getResponseRangeOrBuilder

    public RangeResponseOrBuilder getResponseRangeOrBuilder()

`.etcdserverpb.RangeResponse response_range = 1;`

Specified by:
  `getResponseRangeOrBuilder` in interface `ResponseOpOrBuilder`

#### hasResponsePut

    public boolean hasResponsePut()

`.etcdserverpb.PutResponse response_put = 2;`

Specified by:
  `hasResponsePut` in interface `ResponseOpOrBuilder`
Returns:
  Whether the responsePut field is set.

#### getResponsePut

    public PutResponse getResponsePut()

`.etcdserverpb.PutResponse response_put = 2;`

Specified by:
  `getResponsePut` in interface `ResponseOpOrBuilder`
Returns:
  The responsePut.

#### setResponsePut

    public ResponseOp.Builder setResponsePut(PutResponse value)

`.etcdserverpb.PutResponse response_put = 2;`

#### setResponsePut

    public ResponseOp.Builder setResponsePut(PutResponse.Builder builderForValue)

`.etcdserverpb.PutResponse response_put = 2;`

#### mergeResponsePut

    public ResponseOp.Builder mergeResponsePut(PutResponse value)

`.etcdserverpb.PutResponse response_put = 2;`

#### clearResponsePut

    public ResponseOp.Builder clearResponsePut()

`.etcdserverpb.PutResponse response_put = 2;`

#### getResponsePutBuilder

    public PutResponse.Builder getResponsePutBuilder()

`.etcdserverpb.PutResponse response_put = 2;`

#### getResponsePutOrBuilder

    public PutResponseOrBuilder getResponsePutOrBuilder()

`.etcdserverpb.PutResponse response_put = 2;`

Specified by:
  `getResponsePutOrBuilder` in interface `ResponseOpOrBuilder`

#### hasResponseDeleteRange

    public boolean hasResponseDeleteRange()

`.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`

Specified by:
  `hasResponseDeleteRange` in interface `ResponseOpOrBuilder`
Returns:
  Whether the responseDeleteRange field is set.

#### getResponseDeleteRange

    public DeleteRangeResponse getResponseDeleteRange()

`.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`

Specified by:
  `getResponseDeleteRange` in interface `ResponseOpOrBuilder`
Returns:
  The responseDeleteRange.

#### setResponseDeleteRange

    public ResponseOp.Builder setResponseDeleteRange(DeleteRangeResponse value)

`.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`

#### setResponseDeleteRange

    public ResponseOp.Builder setResponseDeleteRange(DeleteRangeResponse.Builder builderForValue)

`.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`

#### mergeResponseDeleteRange

    public ResponseOp.Builder mergeResponseDeleteRange(DeleteRangeResponse value)

`.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`

#### clearResponseDeleteRange

    public ResponseOp.Builder clearResponseDeleteRange()

`.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`

#### getResponseDeleteRangeBuilder

    public DeleteRangeResponse.Builder getResponseDeleteRangeBuilder()

`.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`

#### getResponseDeleteRangeOrBuilder

    public DeleteRangeResponseOrBuilder getResponseDeleteRangeOrBuilder()

`.etcdserverpb.DeleteRangeResponse response_delete_range = 3;`

Specified by:
  `getResponseDeleteRangeOrBuilder` in interface `ResponseOpOrBuilder`

#### hasResponseTxn

    public boolean hasResponseTxn()

`.etcdserverpb.TxnResponse response_txn = 4;`

Specified by:
  `hasResponseTxn` in interface `ResponseOpOrBuilder`
Returns:
  Whether the responseTxn field is set.

#### getResponseTxn

    public TxnResponse getResponseTxn()

`.etcdserverpb.TxnResponse response_txn = 4;`

Specified by:
  `getResponseTxn` in interface `ResponseOpOrBuilder`
Returns:
  The responseTxn.

#### setResponseTxn

    public ResponseOp.Builder setResponseTxn(TxnResponse value)

`.etcdserverpb.TxnResponse response_txn = 4;`

#### setResponseTxn

    public ResponseOp.Builder setResponseTxn(TxnResponse.Builder builderForValue)

`.etcdserverpb.TxnResponse response_txn = 4;`

#### mergeResponseTxn

    public ResponseOp.Builder mergeResponseTxn(TxnResponse value)

`.etcdserverpb.TxnResponse response_txn = 4;`

#### clearResponseTxn

    public ResponseOp.Builder clearResponseTxn()

`.etcdserverpb.TxnResponse response_txn = 4;`

#### getResponseTxnBuilder

    public TxnResponse.Builder getResponseTxnBuilder()

`.etcdserverpb.TxnResponse response_txn = 4;`

#### getResponseTxnOrBuilder

    public TxnResponseOrBuilder getResponseTxnOrBuilder()

`.etcdserverpb.TxnResponse response_txn = 4;`

Specified by:
  `getResponseTxnOrBuilder` in interface `ResponseOpOrBuilder`

#### setUnknownFields

    public final ResponseOp.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseOp.Builder>`

#### mergeUnknownFields

    public final ResponseOp.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ResponseOp.Builder>`